跳转到内容

V1.0

AI 毛躁髮質分析 API 可讓您使用三角度輸入(正面、右側、左側),偵測圖片中頭髮的毛躁程度。

執行髮絲毛躁度偵測任務。

请求

查詢任務狀態請參考輪詢指南。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
src_file_urlsArray of strings, = 3 items必需

來自上傳檔案 API 的檔案網址。來源照片序列的檔案 ID 依序為 'frontFace'、'rightFace' 與 'leftFace'。應提供 'src_file_urls' 或 'src_file_ids' 其中之一。

示例:
[ "https://example.com/selfie.jpg", "https://example.com/selfie.jpg", "https://example.com/selfie.jpg" ]
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-frizziness-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_urls": [
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg"
    ]
  }'

响应

任務執行成功

正文application/json
statusinteger

回應狀態

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }